Intereting Posts
Не удается получить доступ к журналам ошибок apache Как войти в систему через TTY вместо GDM? Меню загрузки с двойной загрузкой не появляется после установки Ubuntu 15.10 рядом с Windows 10 Как я могу клонировать или привидение моего системного диска, чтобы восстановить его на более высокий HD? Невозможно использовать монитор 4k с максимальным разрешением при использовании с одним или двумя другими мониторами FHD Настольная пусковая установка для приложений терминала Сервер Ubuntu 12.10 / dev / sda1 диск полный Как шифровать конфиденциальную информацию о строке exec в ярлыке .desktop? GNOME / GDM не запускается Не удается установить псевдоним в zsh – команда не найдена? Где я могу получить Adobe Acrobat 64? Как мне установить эту программу? Какой тип упаковки лучше? Установка PATH, чтобы она применима ко всем пользователям, включая root / sudo Я хочу установить Tor на Ubuntu 16.04.3 Xenial Xerus, что я сделал неправильно? Unity Greeter выглядит странно

Не удалось установить программное обеспечение или обновить систему после половины установленного java

Пожалуйста, помогите решить проблему «oracle-java7-installer». Ошибка ниже

dpkg: warning: files list file for package !['oracle-java7-installer' missing;][1] assuming package has no files currently installed (Reading database ... 302933 files and directories currently installed.) Removing linux-image-extra-3.8.0-19-generic ... /var/lib/dpkg/info/linux-image-extra-3.8.0-19-generic.postrm: 6: /var/lib/dpkg/info/linux-image-extra-3.8.0-19-generic.postrm: Syntax error: ")" unexpected dpkg: error processing linux-image-extra-3.8.0-19-generic (--remove): subprocess installed post-removal script returned error exit status 2 Errors were encountered while processing: linux-image-extra-3.8.0-19-generic E: Sub-process /usr/bin/dpkg returned an error code (1) A package failed to install. Trying to recover: 

Благодаря Projjol для решения.

Он сказал,

У вас есть пакет, который был установлен неправильно или не работает. Вам нужно удалить linux-image-extra-3.8.0-19-generic.

Я бы предположил, что вы используете следующий код: gksudo nautilus /var/lib/dpkg/info Теперь найдите все файлы, начинающиеся с имен linux-headers-3.8.0-19 и удалите их. Затем:

 sudo apt-get -f install sudo apt-get update sudo apt-get dist-upgrade sudo apt-get install linux 

Тогда ваша система должна работать нормально.